%define VERSION 2.31
%define README_VERSION 2.3x
%define RELEASE 1

%define NSU /usr/lib/Canon/cnan1st

%ifarch x86_64
%define _RPM  libs64/rpm
%define _LIB  libs64
%else
%define _RPM  libs/rpm
%define _LIB  libs
%endif

Summary: Canon MF/LBP Network Setup Tool v%{VERSION}
Name: cnnst
Version: %{VERSION}
Release: %{RELEASE}
License: See the LICENSE*.txt file.
Vendor: CANON INC.
Group: Applications/Publishing
Source: %{name}-%{version}-%{release}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
# Requires: cndrvcups-common >= %{version}
# BuildRequires: cndrvcups-common >= %{version}

%description 
The [MF/LBP Network Setup Tool] is utility software designed to
configure the initial network connection settings when connecting the
printer to your computer via a network.

%prep

%setup -q
#./allgen.sh
 
%build
#make build

%install

mkdir -pv ${RPM_BUILD_ROOT}%{_bindir}

mkdir -pv ${RPM_BUILD_ROOT}%{NSU}/lib
mkdir -pv ${RPM_BUILD_ROOT}%{NSU}/CUPS_SFP
mkdir -pv ${RPM_BUILD_ROOT}%{NSU}/CUPS_SFP/Bidi
mkdir -pv ${RPM_BUILD_ROOT}%{NSU}/CUPS_SFP/Libs
mkdir -pv ${RPM_BUILD_ROOT}%{NSU}/CUPS_SFP/Utilities
mkdir -pv ${RPM_BUILD_ROOT}%{NSU}/locale/ja/LC_MESSAGES
mkdir -pv ${RPM_BUILD_ROOT}%{NSU}/locale/fr/LC_MESSAGES
mkdir -pv ${RPM_BUILD_ROOT}%{NSU}/locale/it/LC_MESSAGES
mkdir -pv ${RPM_BUILD_ROOT}%{NSU}/locale/de/LC_MESSAGES
mkdir -pv ${RPM_BUILD_ROOT}%{NSU}/locale/es/LC_MESSAGES

mkdir -pv ${RPM_BUILD_ROOT}%{NSU}/help/ja/print/images/book_images
mkdir -pv ${RPM_BUILD_ROOT}%{NSU}/help/ja/print/styles/style000
mkdir -pv ${RPM_BUILD_ROOT}%{NSU}/help/ja/scripts
mkdir -pv ${RPM_BUILD_ROOT}%{NSU}/help/ja/jsons
mkdir -pv ${RPM_BUILD_ROOT}%{NSU}/help/en/print/images/book_images
mkdir -pv ${RPM_BUILD_ROOT}%{NSU}/help/en/print/styles/style000
mkdir -pv ${RPM_BUILD_ROOT}%{NSU}/help/en/scripts
mkdir -pv ${RPM_BUILD_ROOT}%{NSU}/help/en/jsons
mkdir -pv ${RPM_BUILD_ROOT}%{NSU}/help/fr/print/images/book_images
mkdir -pv ${RPM_BUILD_ROOT}%{NSU}/help/fr/print/styles/style000
mkdir -pv ${RPM_BUILD_ROOT}%{NSU}/help/fr/scripts
mkdir -pv ${RPM_BUILD_ROOT}%{NSU}/help/fr/jsons
mkdir -pv ${RPM_BUILD_ROOT}%{NSU}/help/it/print/images/book_images
mkdir -pv ${RPM_BUILD_ROOT}%{NSU}/help/it/print/styles/style000
mkdir -pv ${RPM_BUILD_ROOT}%{NSU}/help/it/scripts
mkdir -pv ${RPM_BUILD_ROOT}%{NSU}/help/it/jsons
mkdir -pv ${RPM_BUILD_ROOT}%{NSU}/help/de/print/images/book_images
mkdir -pv ${RPM_BUILD_ROOT}%{NSU}/help/de/print/styles/style000
mkdir -pv ${RPM_BUILD_ROOT}%{NSU}/help/de/scripts
mkdir -pv ${RPM_BUILD_ROOT}%{NSU}/help/de/jsons
mkdir -pv ${RPM_BUILD_ROOT}%{NSU}/help/es/print/images/book_images
mkdir -pv ${RPM_BUILD_ROOT}%{NSU}/help/es/print/styles/style000
mkdir -pv ${RPM_BUILD_ROOT}%{NSU}/help/es/scripts
mkdir -pv ${RPM_BUILD_ROOT}%{NSU}/help/es/jsons
mkdir -pv ${RPM_BUILD_ROOT}%{NSU}/pixmaps

#make install DESTDIR=${RPM_BUILD_ROOT}

# library
install -c -s -m 755 %{_RPM}/cnnst							${RPM_BUILD_ROOT}%{NSU}
install -c -s -m 755 %{_RPM}/cnnst-gdfp						${RPM_BUILD_ROOT}%{NSU}
install -c -s -m 755 %{_RPM}/cnnst-epqi						${RPM_BUILD_ROOT}%{NSU}
install -c -s -m 755 %{_RPM}/libNSUController.so			${RPM_BUILD_ROOT}%{NSU}/lib
install -c -s -m 755 %{_RPM}/libNSUDeviceConfiguration.so	${RPM_BUILD_ROOT}%{NSU}/lib
install -c    -m 644 %{_RPM}/ja.gmo						${RPM_BUILD_ROOT}%{NSU}/locale/ja/LC_MESSAGES/cnnst.mo
install -c    -m 644 %{_RPM}/fr.gmo						${RPM_BUILD_ROOT}%{NSU}/locale/fr/LC_MESSAGES/cnnst.mo
install -c    -m 644 %{_RPM}/it.gmo						${RPM_BUILD_ROOT}%{NSU}/locale/it/LC_MESSAGES/cnnst.mo
install -c    -m 644 %{_RPM}/de.gmo						${RPM_BUILD_ROOT}%{NSU}/locale/de/LC_MESSAGES/cnnst.mo
install -c    -m 644 %{_RPM}/es.gmo						${RPM_BUILD_ROOT}%{NSU}/locale/es/LC_MESSAGES/cnnst.mo
install -c    -m 755 ./cnnst.sh								${RPM_BUILD_ROOT}%{_bindir}/cnnst

install -c -s -m 755 %{_LIB}/libccpd_util.so.1.0.0		${RPM_BUILD_ROOT}%{NSU}/CUPS_SFP/Bidi
install -c -s -m 755 %{_LIB}/libcomm_usbdirect.so.1.0.0	${RPM_BUILD_ROOT}%{NSU}/CUPS_SFP/Bidi
install -c -s -m 755 %{_LIB}/libcaio_usb.so.1.0.0		${RPM_BUILD_ROOT}%{NSU}/CUPS_SFP/Bidi
install -c -s -m 755 %{_LIB}/libcomm_websrv.so.1.0.0	${RPM_BUILD_ROOT}%{NSU}/CUPS_SFP/Bidi
install -c -s -m 755 %{_LIB}/libCommIsolation.so.1.0.0	${RPM_BUILD_ROOT}%{NSU}/CUPS_SFP/Libs
install -c -s -m 755 %{_LIB}/pksmncap 					${RPM_BUILD_ROOT}%{NSU}/CUPS_SFP/Utilities/pksmncap 

# symlink
cd 	${RPM_BUILD_ROOT}%{NSU}/CUPS_SFP/Bidi
ln -sf libccpd_util.so.1.0.0		libccpd_util.so
ln -sf libccpd_util.so.1.0.0		libccpd_util.so.1
ln -sf libcomm_usbdirect.so.1.0.0	libcomm_usbdirect.so
ln -sf libcomm_usbdirect.so.1.0.0	libcomm_usbdirect.so.1
ln -sf libcaio_usb.so.1.0.0 		libcaio_usb.so
ln -sf libcaio_usb.so.1.0.0 		libcaio_usb.so.1
ln -sf libcomm_websrv.so.1.0.0		libcomm_websrv.so
ln -sf libcomm_websrv.so.1.0.0		libcomm_websrv.so.1
cd -
cd ${RPM_BUILD_ROOT}%{NSU}/CUPS_SFP/Libs
ln -sf libCommIsolation.so.1.0.0	libCommIsolation.so
ln -sf libCommIsolation.so.1.0.0	libCommIsolation.so.1
cd -

# resource
install -c -m 644 help/ja/*.gif							${RPM_BUILD_ROOT}%{NSU}/help/ja							
install -c -m 644 help/ja/print/*.html                  ${RPM_BUILD_ROOT}%{NSU}/help/ja/print
install -c -m 644 help/ja/print/images/book_images/*    ${RPM_BUILD_ROOT}%{NSU}/help/ja/print/images/book_images
install -c -m 644 help/ja/print/styles/style000/*       ${RPM_BUILD_ROOT}%{NSU}/help/ja/print/styles/style000
install -c -m 644 help/ja/scripts/*                     ${RPM_BUILD_ROOT}%{NSU}/help/ja/scripts
install -c -m 644 help/ja/jsons/*                       ${RPM_BUILD_ROOT}%{NSU}/help/ja/jsons
install -c -m 644 help/en/*.gif                         ${RPM_BUILD_ROOT}%{NSU}/help/en
install -c -m 644 help/en/print/*html                   ${RPM_BUILD_ROOT}%{NSU}/help/en/print
install -c -m 644 help/en/print/images/book_images/*    ${RPM_BUILD_ROOT}%{NSU}/help/en/print/images/book_images
install -c -m 644 help/en/print/styles/style000/*       ${RPM_BUILD_ROOT}%{NSU}/help/en/print/styles/style000
install -c -m 644 help/en/scripts/*                     ${RPM_BUILD_ROOT}%{NSU}/help/en/scripts
install -c -m 644 help/en/jsons/*                       ${RPM_BUILD_ROOT}%{NSU}/help/en/jsons
install -c -m 644 help/fr/*.gif                         ${RPM_BUILD_ROOT}%{NSU}/help/fr
install -c -m 644 help/fr/print/*html                   ${RPM_BUILD_ROOT}%{NSU}/help/fr/print
install -c -m 644 help/fr/print/images/book_images/*    ${RPM_BUILD_ROOT}%{NSU}/help/fr/print/images/book_images
install -c -m 644 help/fr/print/styles/style000/*       ${RPM_BUILD_ROOT}%{NSU}/help/fr/print/styles/style000
install -c -m 644 help/fr/scripts/*                     ${RPM_BUILD_ROOT}%{NSU}/help/fr/scripts
install -c -m 644 help/fr/jsons/*                       ${RPM_BUILD_ROOT}%{NSU}/help/fr/jsons
install -c -m 644 help/it/*.gif                         ${RPM_BUILD_ROOT}%{NSU}/help/it
install -c -m 644 help/it/print/*html                   ${RPM_BUILD_ROOT}%{NSU}/help/it/print
install -c -m 644 help/it/print/images/book_images/*    ${RPM_BUILD_ROOT}%{NSU}/help/it/print/images/book_images
install -c -m 644 help/it/print/styles/style000/*       ${RPM_BUILD_ROOT}%{NSU}/help/it/print/styles/style000
install -c -m 644 help/it/scripts/*                     ${RPM_BUILD_ROOT}%{NSU}/help/it/scripts
install -c -m 644 help/it/jsons/*                       ${RPM_BUILD_ROOT}%{NSU}/help/it/jsons
install -c -m 644 help/de/*.gif                         ${RPM_BUILD_ROOT}%{NSU}/help/de
install -c -m 644 help/de/print/*html                   ${RPM_BUILD_ROOT}%{NSU}/help/de/print
install -c -m 644 help/de/print/images/book_images/*    ${RPM_BUILD_ROOT}%{NSU}/help/de/print/images/book_images
install -c -m 644 help/de/print/styles/style000/*       ${RPM_BUILD_ROOT}%{NSU}/help/de/print/styles/style000
install -c -m 644 help/de/scripts/*                     ${RPM_BUILD_ROOT}%{NSU}/help/de/scripts
install -c -m 644 help/de/jsons/*                       ${RPM_BUILD_ROOT}%{NSU}/help/de/jsons
install -c -m 644 help/es/*.gif                         ${RPM_BUILD_ROOT}%{NSU}/help/es
install -c -m 644 help/es/print/*html                   ${RPM_BUILD_ROOT}%{NSU}/help/es/print
install -c -m 644 help/es/print/images/book_images/*    ${RPM_BUILD_ROOT}%{NSU}/help/es/print/images/book_images
install -c -m 644 help/es/print/styles/style000/*       ${RPM_BUILD_ROOT}%{NSU}/help/es/print/styles/style000
install -c -m 644 help/es/scripts/*                     ${RPM_BUILD_ROOT}%{NSU}/help/es/scripts
install -c -m 644 help/es/jsons/*                       ${RPM_BUILD_ROOT}%{NSU}/help/es/jsons
install -c -m 644 pixmaps/*                             ${RPM_BUILD_ROOT}%{NSU}/pixmaps
install -c -m 644 support.ini							${RPM_BUILD_ROOT}%{NSU}

%clean
rm -rf $RPM_BUILD_ROOT

%post
chown root.lp %{NSU}/cnnst-gdfp %{NSU}/CUPS_SFP/Utilities/pksmncap
chmod 2711 %{NSU}/cnnst-gdfp %{NSU}/CUPS_SFP/Utilities/pksmncap
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi

%postun
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi

%files
%defattr(-,root,root)
%{_bindir}/cnnst
%{NSU}

%doc LICENSE-cnnst*.txt
%doc README-cnnst-%{README_VERSION}*.txt
#%doc LISEZMOI-cnnst-%{README_VERSION}*.txt
#%doc LEGGIMI-cnnst-%{README_VERSION}*.txt
#%doc LIESMICH-cnnst-%{README_VERSION}*.txt
#%doc LEAME-cnnst-%{README_VERSION}*.txt
